//Мега-Дебуггер Виталия Новичкова
#include <iostream.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <fstream.h>

ifstream fin;
void main(int argc, char *params[])
{
if (argc>1)
	{
	int x=0;
	while(1)
	{
		x=0;
		register char line[10000];
		register char* massive;
		fin.open(params[1]);
		if (!fin){cout <<"Ошибка открытия файла"; exit(1);}
		while(!fin.eof())
		{
			fin >> line[x];
			x++;
		}
		line[x]='\0';
		fin.close();
		if((line!=massive))
		cout << line;
		massive=line;
		delete line;
		delete massive;
	}

	}
else
	{
	cout << "\nФайл НЕ ВЫБРАН\n\n";
	}
}